<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ViewMessage.aspx.cs" Inherits="ViewMessage" Debug="true"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@ Import namespace="NI.Email.Mime.Field" %>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>MIME4NET Sample</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:LinkButton runat="server" Text='<%# ShowHeader ? "Hide Header" : "View Header" %>' CommandArgument='<%# Message.Subject.Body %>' OnCommand="OnViewHeaderClick"/>
        <asp:Repeater runat="server" DataSource='<%# Message.Header.Fields %>' Visible='<%# ShowHeader %>'>
            <HeaderTemplate>
                <table border="1">
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <th><b><%# ((MimeField)Container.DataItem).Name %></b></th>
                    <td><%# ((MimeField)Container.DataItem).Body %></td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater> 
        
        <asp:LinkButton runat="server" Text='<%# ShowBody ? "Hide Message" : "View Message" %>' CommandArgument='<%# Message.Header.GetField("subject").Body %>' OnCommand="OnViewBodyClick"/>       
        <asp:PlaceHolder runat="server" Visible='<%# ShowBody %>'>
            <%# ShowMessageBody()%>
            <asp:Repeater runat="server" DataSource='<%# GetAttachmentLinks(Message) %>'>
                <HeaderTemplate>
                    Attachments:
					<table border="1">
                        <tr>
                </HeaderTemplate>
                <ItemTemplate>
                        <td>
                            <a href='<%# "ViewAttachment.aspx?attachnum=" + Convert.ToString(Container.DataItem) + "&filename=" + Convert.ToString(Request["filename"]) %>'><%# Convert.ToInt32(Container.DataItem) %></a>
                        </td>
                </ItemTemplate>
                <FooterTemplate>
                        </tr>
                    </table>
                </FooterTemplate>
            </asp:Repeater>  
        </asp:PlaceHolder>
    </form>
</body>
</html>
